summaryrefslogtreecommitdiffstats
path: root/source/e/emacs/emacs.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/e/emacs/emacs.SlackBuild')
-rwxr-xr-xsource/e/emacs/emacs.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/source/e/emacs/emacs.SlackBuild b/source/e/emacs/emacs.SlackBuild
index da07e32fe..cb251e006 100755
--- a/source/e/emacs/emacs.SlackBuild
+++ b/source/e/emacs/emacs.SlackBuild
@@ -27,7 +27,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=emacs
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Determine version number the tarball is labeled with:
TARBALLVER=${TARBALLVER:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
# OK, now what's being used as the source directory version number... account
@@ -92,6 +92,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+zcat $CWD/0001-Support-ImageMagick-version-7.patch.gz | patch -p1 --verbose || exit 1
+autoreconf -vif
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \